#!/bin/sh
#
# $FreeBSD: ports/security/clamav/files/clamav-clamd.in,v 1.2 2008/04/16 16:05:54 garga Exp $
# $MidnightBSD: mports/security/clamav/files/clamav-clamd.in,v 1.3 2008/04/18 21:40:47 laffer1 Exp $

# PROVIDE: clamd
# REQUIRE: LOGIN
# BEFORE: mail
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable clamd:
#
#clamav_clamd_enable="YES"
#
# See clamd(8) for flags
#

. /etc/rc.subr

name=clamav_clamd
rcvar=`set_rcvar`

command=/usr/local/sbin/clamd
pidfile=/var/run/clamav/clamd.pid
required_dirs=/var/db/clamav
required_files=/usr/local/etc/clamd.conf

# read settings, set default values
load_rc_config "$name"
: ${clamav_clamd_enable="NO"}
: ${clamav_clamd_flags=""}
: ${clamav_clamd_socket="/var/run/clamav/clamd"}

start_precmd=clamav_clamd_precmd

#clamav .93 won't start without a valid main.cvd file
clamav_clamd_precmd() {
	if [ ! -f /var/db/clamav/main.cvd ];then
		echo "Missing /var/db/clamav/clamav/*.cvd files.  You must run freshclam first"
		exit 1
	fi
}

run_rc_command "$1"
